<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lpcomp__enums" kind="group">
    <compoundname>group_lpcomp_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__lpcomp__enums_1gabdb04cbeeda3390491f1927ec54754d9" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_out_t</name>
        <enumvalue id="group__group__lpcomp__enums_1ggabdb04cbeeda3390491f1927ec54754d9a7fc24b900f0c0fae83b769e7cc40e8c0" prot="public">
          <name>CY_LPCOMP_OUT_PULSE</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>The LPCOMP DSI output with the pulse option, no bypass. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggabdb04cbeeda3390491f1927ec54754d9adad19119afec1d0ed744964d23b0f738" prot="public">
          <name>CY_LPCOMP_OUT_DIRECT</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>The LPCOMP bypass mode, the direct output of a comparator. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggabdb04cbeeda3390491f1927ec54754d9a7aead252202e1467a82deee1b61b9eaf" prot="public">
          <name>CY_LPCOMP_OUT_SYNC</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>The LPCOMP DSI output with the level option, it is similar to the bypass mode but it is 1 cycle slow than the bypass. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_out_t: </bold><linebreak />The LPCOMP output modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="307" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="301" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="302" />
      </memberdef>
      <memberdef id="group__group__lpcomp__enums_1gada8e5d16a9fcb0b9cbad23449cdf51ab" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_hyst_t</name>
        <enumvalue id="group__group__lpcomp__enums_1ggada8e5d16a9fcb0b9cbad23449cdf51aba912f47c14d6cad0f5e80d5d6bda30cd1" prot="public">
          <name>CY_LPCOMP_HYST_ENABLE</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>The LPCOMP enable hysteresis. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggada8e5d16a9fcb0b9cbad23449cdf51aba768672bc766de53e0cb69e0f7324827e" prot="public">
          <name>CY_LPCOMP_HYST_DISABLE</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>The LPCOMP disable hysteresis. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_hyst_t: </bold><linebreak />The LPCOMP hysteresis modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="314" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="310" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="311" />
      </memberdef>
      <memberdef id="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_channel_t</name>
        <enumvalue id="group__group__lpcomp__enums_1ggaf3944a03ab86845a63e0b8a2d29ca1b1aed5d3b09e83980258c7f166afea07147" prot="public">
          <name>CY_LPCOMP_CHANNEL_0</name>
          <initializer>= 0x1u</initializer>
          <briefdescription>
<para>The LPCOMP Comparator 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggaf3944a03ab86845a63e0b8a2d29ca1b1aee43d07e1efbd35cd98e1f8093176134" prot="public">
          <name>CY_LPCOMP_CHANNEL_1</name>
          <initializer>= 0x2u</initializer>
          <briefdescription>
<para>The LPCOMP Comparator 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_channel_t: </bold><linebreak />The LPCOMP's channel number.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="321" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="317" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="318" />
      </memberdef>
      <memberdef id="group__group__lpcomp__enums_1gab12edb4e44ead54254de2168b92b4213" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_int_t</name>
        <enumvalue id="group__group__lpcomp__enums_1ggab12edb4e44ead54254de2168b92b4213aa267c82b79a44c8ba929b8cb9b32c749" prot="public">
          <name>CY_LPCOMP_INTR_DISABLE</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>The LPCOMP interrupt disabled, no interrupt will be detected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggab12edb4e44ead54254de2168b92b4213a9e747d8ac762ddf15ebf425957c3c758" prot="public">
          <name>CY_LPCOMP_INTR_RISING</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>The LPCOMP interrupt on the rising edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggab12edb4e44ead54254de2168b92b4213a45968a94d068eb19b24312914e92ee39" prot="public">
          <name>CY_LPCOMP_INTR_FALLING</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>The LPCOMP interrupt on the falling edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggab12edb4e44ead54254de2168b92b4213af25fc3387384b358a79e93c314a9c884" prot="public">
          <name>CY_LPCOMP_INTR_BOTH</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>The LPCOMP interrupt on both rising and falling edges. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_int_t: </bold><linebreak />The LPCOMP interrupt modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="330" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="324" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="325" />
      </memberdef>
      <memberdef id="group__group__lpcomp__enums_1ga807c85d836c327c00a8a5ee52d6a93e6" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_pwr_t</name>
        <enumvalue id="group__group__lpcomp__enums_1gga807c85d836c327c00a8a5ee52d6a93e6acda8ee95adfea40915bd39c4ac693fa6" prot="public">
          <name>CY_LPCOMP_MODE_OFF</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>The LPCOMP's channel power-off. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1gga807c85d836c327c00a8a5ee52d6a93e6a507745f1da8cbc248a632429846d2e81" prot="public">
          <name>CY_LPCOMP_MODE_ULP</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>The LPCOMP's channel ULP mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1gga807c85d836c327c00a8a5ee52d6a93e6ac3a258efc26e97fcc244b4089cad8a11" prot="public">
          <name>CY_LPCOMP_MODE_LP</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>The LPCOMP's channel LP mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1gga807c85d836c327c00a8a5ee52d6a93e6addb4625e5ba94f6bd9eef544da8b6732" prot="public">
          <name>CY_LPCOMP_MODE_NORMAL</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>The LPCOMP's channel normal mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_pwr_t: </bold><linebreak />The LPCOMP power-mode selection.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="339" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="333" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="334" />
      </memberdef>
      <memberdef id="group__group__lpcomp__enums_1ga3064b8f5a4564e4d002df51ee8f96962" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_inputs_t</name>
        <enumvalue id="group__group__lpcomp__enums_1gga3064b8f5a4564e4d002df51ee8f96962aa3e2650fb3321ac2ce8ebeae72c501d4" prot="public">
          <name>CY_LPCOMP_SW_GPIO</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The LPCOMP input connects to GPIO pin. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1gga3064b8f5a4564e4d002df51ee8f96962ae94208ae59d5808627b837701a007472" prot="public">
          <name>CY_LPCOMP_SW_AMUXBUSA</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The LPCOMP input connects to AMUXBUSA. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1gga3064b8f5a4564e4d002df51ee8f96962a165ebf674134b70ef7d351fcac60d733" prot="public">
          <name>CY_LPCOMP_SW_AMUXBUSB</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>The LPCOMP input connects to AMUXBUSB. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1gga3064b8f5a4564e4d002df51ee8f96962a45d643833ed94cbff8f5ef1debc63ce0" prot="public">
          <name>CY_LPCOMP_SW_LOCAL_VREF</name>
          <initializer>= 0x08u</initializer>
          <briefdescription>
<para>The LPCOMP input connects to local VREF. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_inputs_t: </bold><linebreak />The LPCOMP inputs.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="348" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="342" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="343" />
      </memberdef>
      <memberdef id="group__group__lpcomp__enums_1gaf31980ad7c767f9317dd498c03f2dea0" kind="enum" prot="public" static="no">
        <name>cy_en_lpcomp_status_t</name>
        <enumvalue id="group__group__lpcomp__enums_1ggaf31980ad7c767f9317dd498c03f2dea0af6aa5b0f54a00426737b5a4c5c2261c1" prot="public">
          <name>CY_LPCOMP_SUCCESS</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggaf31980ad7c767f9317dd498c03f2dea0a423189ffbde1ea7514fafee46c9a89b3" prot="public">
          <name>CY_LPCOMP_BAD_PARAM</name>
          <initializer>= CY_LPCOMP_ID | CY_PDL_STATUS_ERROR | 0x01u</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggaf31980ad7c767f9317dd498c03f2dea0a7f9b1eb5d718c61fd5c5016dfc215e47" prot="public">
          <name>CY_LPCOMP_TIMEOUT</name>
          <initializer>= CY_LPCOMP_ID | CY_PDL_STATUS_ERROR | 0x02u</initializer>
          <briefdescription>
<para>Operation timed out. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggaf31980ad7c767f9317dd498c03f2dea0a8bd70a207df58bcb4872cebf51400b43" prot="public">
          <name>CY_LPCOMP_INVALID_STATE</name>
          <initializer>= CY_LPCOMP_ID | CY_PDL_STATUS_ERROR | 0x03u</initializer>
          <briefdescription>
<para>Operation not setup or is in an improper state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpcomp__enums_1ggaf31980ad7c767f9317dd498c03f2dea0a1f42acc422e089bc03fd06984efba829" prot="public">
          <name>CY_LPCOMP_UNKNOWN</name>
          <initializer>= CY_LPCOMP_ID | CY_PDL_STATUS_ERROR | 0xFFu</initializer>
          <briefdescription>
<para>Unknown failure. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lpcomp_status_t: </bold><linebreak />The LPCOMP error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="358" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="351" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="352" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>